## org.firebirdsql.jdbc.field
Class FBStringField

    java.lang.Object
      org.firebirdsql.jdbc.field.FBField
          org.firebirdsql.jdbc.field.FBStringField

Direct Known Subclasses:
  FBLongVarCharField, FBWorkaroundStringField

    public class FBStringField

extends FBField

Describe class `FBStringField` here.

Version:
  1.0
Author:
  Roman Rokytskyy, David Jencks

Field Summary

Fields inherited from class org.firebirdsql.jdbc.field.FBField
`field, gdsHelper, iscEncoding, javaEncoding, mappingPath, numCol, requiredType, scale`

Method Summary
`InputStream` `getAsciiStream()`
`BigDecimal` `getBigDecimal()`
`InputStream` `getBinaryStream()`
`boolean` `getBoolean()`
`byte` `getByte()`
`byte[]` `getBytes()`
`Date` `getDate()`
`Date` `getDate(Calendar cal)`
`double` `getDouble()`
`float` `getFloat()`
`int` `getInt()`
`long` `getLong()`
`short` `getShort()`
`String` `getString()`
`Time` `getTime()`
`Time` `getTime(Calendar cal)`
`Timestamp` `getTimestamp()`
`Timestamp` `getTimestamp(Calendar cal)`
`InputStream` `getUnicodeStream()`
`void` `setAsciiStream(InputStream in, int length)`
`void` `setBigDecimal(BigDecimal value)`
`void` `setBinaryStream(InputStream in, int length)`
`void` `setBoolean(boolean value)`
`void` `setByte(byte value)`
`void` `setBytes(byte[] value)`
`void` `setCharacterStream(Reader in, int length)`
`void` `setDate(Date value)`
`void` `setDate(Date value, Calendar cal)`
`void` `setDouble(double value)`
`void` `setFloat(float value)`
`void` `setInteger(int value)`
`void` `setLong(long value)`
`void` `setShort(short value)`
`void` `setString(String value)`
`void` `setTime(Time value)`
`void` `setTime(Time value, Calendar cal)`
`void` `setTimestamp(Timestamp value)`
`void` `setTimestamp(Timestamp value, Calendar cal)`
`void` `setUnicodeStream(InputStream in, int length)`

Methods inherited from class org.firebirdsql.jdbc.field.FBField
`close, createField, getAlias, getArray, getBigDecimal, getBlob, getCharacterStream, getClob, getFieldData, getName, getObject, getObject, getRef, getRelationName, isCompatible, isInvertTimeZone, isNull, isType, setBlob, setConnection, setFieldData, setNull, setObject, setRequiredType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getByte

    public byte getByte()
                 throws SQLException

  Overrides:
    `getByte` in class `FBField`
  Throws:
    `SQLException`

### getShort

    public short getShort()
                   throws SQLException

  Overrides:
    `getShort` in class `FBField`
  Throws:
    `SQLException`

### getInt

    public int getInt()
               throws SQLException

  Overrides:
    `getInt` in class `FBField`
  Throws:
    `SQLException`

### getLong

    public long getLong()
                 throws SQLException

  Overrides:
    `getLong` in class `FBField`
  Throws:
    `SQLException`

### getBigDecimal

    public BigDecimal getBigDecimal()
                             throws SQLException

  Overrides:
    `getBigDecimal` in class `FBField`
  Throws:
    `SQLException`

### getFloat

    public float getFloat()
                   throws SQLException

  Overrides:
    `getFloat` in class `FBField`
  Throws:
    `SQLException`

### getDouble

    public double getDouble()
                     throws SQLException

  Overrides:
    `getDouble` in class `FBField`
  Throws:
    `SQLException`

### getBoolean

    public boolean getBoolean()
                       throws SQLException

  Overrides:
    `getBoolean` in class `FBField`
  Throws:
    `SQLException`

### getString

    public String getString()
                     throws SQLException

  Overrides:
    `getString` in class `FBField`
  Throws:
    `SQLException`

### getBinaryStream

    public InputStream getBinaryStream()
                                throws SQLException

  Overrides:
    `getBinaryStream` in class `FBField`
  Throws:
    `SQLException`

### getUnicodeStream

    public InputStream getUnicodeStream()
                                 throws SQLException

  Overrides:
    `getUnicodeStream` in class `FBField`
  Throws:
    `SQLException`

### getAsciiStream

    public InputStream getAsciiStream()
                               throws SQLException

  Overrides:
    `getAsciiStream` in class `FBField`
  Throws:
    `SQLException`

### getBytes

    public byte[] getBytes()
                    throws SQLException

  Overrides:
    `getBytes` in class `FBField`
  Throws:
    `SQLException`

### getDate

    public Date getDate(Calendar cal)
                 throws SQLException

  Overrides:
    `getDate` in class `FBField`
  Throws:
    `SQLException`

### getDate

    public Date getDate()
                 throws SQLException

  Overrides:
    `getDate` in class `FBField`
  Throws:
    `SQLException`

### getTime

    public Time getTime(Calendar cal)
                 throws SQLException

  Overrides:
    `getTime` in class `FBField`
  Throws:
    `SQLException`

### getTime

    public Time getTime()
                 throws SQLException

  Overrides:
    `getTime` in class `FBField`
  Throws:
    `SQLException`

### getTimestamp

    public Timestamp getTimestamp(Calendar cal)
                           throws SQLException

  Overrides:
    `getTimestamp` in class `FBField`
  Throws:
    `SQLException`

### getTimestamp

    public Timestamp getTimestamp()
                           throws SQLException

  Overrides:
    `getTimestamp` in class `FBField`
  Throws:
    `SQLException`

### setByte

    public void setByte(byte value)
                 throws SQLException

  Overrides:
    `setByte` in class `FBField`
  Throws:
    `SQLException`

### setShort

    public void setShort(short value)
                  throws SQLException

  Overrides:
    `setShort` in class `FBField`
  Throws:
    `SQLException`

### setInteger

    public void setInteger(int value)
                    throws SQLException

  Overrides:
    `setInteger` in class `FBField`
  Throws:
    `SQLException`

### setLong

    public void setLong(long value)
                 throws SQLException

  Overrides:
    `setLong` in class `FBField`
  Throws:
    `SQLException`

### setFloat

    public void setFloat(float value)
                  throws SQLException

  Overrides:
    `setFloat` in class `FBField`
  Throws:
    `SQLException`

### setDouble

    public void setDouble(double value)
                   throws SQLException

  Overrides:
    `setDouble` in class `FBField`
  Throws:
    `SQLException`

### setBigDecimal

    public void setBigDecimal(BigDecimal value)
                       throws SQLException

  Overrides:
    `setBigDecimal` in class `FBField`
  Throws:
    `SQLException`

### setBoolean

    public void setBoolean(boolean value)
                    throws SQLException

  Overrides:
    `setBoolean` in class `FBField`
  Throws:
    `SQLException`

### setString

    public void setString(String value)
                   throws SQLException

  Overrides:
    `setString` in class `FBField`
  Throws:
    `SQLException`

### setAsciiStream

    public void setAsciiStream(InputStream in,
                               int length)
                        throws SQLException

  Overrides:
    `setAsciiStream` in class `FBField`
  Throws:
    `SQLException`

### setUnicodeStream

    public void setUnicodeStream(InputStream in,
                                 int length)
                          throws SQLException

  Overrides:
    `setUnicodeStream` in class `FBField`
  Throws:
    `SQLException`

### setBinaryStream

    public void setBinaryStream(InputStream in,
                                int length)
                         throws SQLException

  Overrides:
    `setBinaryStream` in class `FBField`
  Throws:
    `SQLException`

### setCharacterStream

    public void setCharacterStream(Reader in,
                                   int length)
                            throws SQLException

  Overrides:
    `setCharacterStream` in class `FBField`
  Throws:
    `SQLException`

### setBytes

    public void setBytes(byte[] value)
                  throws SQLException

  Overrides:
    `setBytes` in class `FBField`
  Throws:
    `SQLException`

### setDate

    public void setDate(Date value,
                        Calendar cal)
                 throws SQLException

  Overrides:
    `setDate` in class `FBField`
  Throws:
    `SQLException`

### setDate

    public void setDate(Date value)
                 throws SQLException

  Overrides:
    `setDate` in class `FBField`
  Throws:
    `SQLException`

### setTime

    public void setTime(Time value,
                        Calendar cal)
                 throws SQLException

  Overrides:
    `setTime` in class `FBField`
  Throws:
    `SQLException`

### setTime

    public void setTime(Time value)
                 throws SQLException

  Overrides:
    `setTime` in class `FBField`
  Throws:
    `SQLException`

### setTimestamp

    public void setTimestamp(Timestamp value,
                             Calendar cal)
                      throws SQLException

  Overrides:
    `setTimestamp` in class `FBField`
  Throws:
    `SQLException`

### setTimestamp

    public void setTimestamp(Timestamp value)
                      throws SQLException

  Overrides:
    `setTimestamp` in class `FBField`
  Throws:
    `SQLException`

Copyright © 2001-2010. All Rights Reserved.